/*
 * $Id: Activity.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "Activity.h"

Activity::Activity() : QObject(), id(0), name(QString()), category(0),
                       deleted(false)
{
}

Activity::Activity(int i_id, QString i_name, ActivityCategory* i_category,
                   bool i_deleted) :
        id(i_id), name(i_name), category(i_category), deleted(i_deleted)
{
}

Activity::~Activity() 
{
}

int Activity::operator<(Activity& a)
{
    return (QString::compare(name.lower(), a.name.lower()) < 0);
}

int Activity::operator==(Activity& a)
{
    return (QString::compare(name.lower(), a.name.lower()) == 0);
}
