/*
 * $Id: ActivityCategory.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef ACTIVITYCATEGORY_H
#define ACTIVITYCATEGORY_H

#include <qobject.h>
#include <qstring.h>

class ActivityCategory : public QObject 
{
    Q_OBJECT

public:
    ActivityCategory();
    ActivityCategory(int i_id, QString i_name, bool i_deleted = false); 
    ~ActivityCategory();

    int operator<(ActivityCategory&);
    int operator==(ActivityCategory&);

    int id;
    QString name;
    bool deleted;
};

#endif
