/*
 * $Id: OperatingMode.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef OPERATINGMODE_H
#define OPERATINGMODE_H

#include "OperatingModeBase.h"

class OperatingMode : public OperatingModeBase
{ 
    Q_OBJECT

public:
    OperatingMode(QWidget* parent = 0, const char* name = 0, 
        bool modal = FALSE, WFlags fl = 0);
    ~OperatingMode();
    
private slots:    
    void modeToggled(bool personal);

protected:
    virtual void accept();
};

#endif // OPERATINGMODE_H

