TEMPLATE	= app
#CONFIG		= qt warn_on debug
CONFIG		= qt warn_on release

HEADERS		= MainWidget.h TimeSleuthMainWindow.h Activity.h \
                  ActivityCategory.h Task.h TimeSleuthDocument.h \
                  ChooseInitialMode.h TaskEdit.h Configuration.h \
                  Report.h PeriodSummaryReport.h PurgeTasks.h \
                  ReportParams1.h OperatingMode.h ActivityList.h \
                  ModalWidget.h FileSelectDialog.h ActivityEdit.h \
                  CategoryEdit.h CategoryList.h TSTable.h ReportViewer.h \
                  PeriodTimeSheetReport.h PeriodReport.h BalloonTip.h \
                  Synchronize.h
      
SOURCES		= main.cpp MainWidget.cpp TimeSleuthMainWindow.cpp \
                  TimeSleuthDocument.cpp ChooseInitialMode.cpp \
                  TaskEdit.cpp Task.cpp Activity.cpp \
                  ActivityCategory.cpp Configuration.cpp \
                  Report.cpp PeriodSummaryReport.cpp PurgeTasks.cpp \
                  ReportParams1.cpp OperatingMode.cpp ActivityList.cpp \
                  ModalWidget.cpp FileSelectDialog.cpp ActivityEdit.cpp \
                  CategoryEdit.cpp CategoryList.cpp TSTable.cpp \
                  ReportViewer.cpp PeriodTimeSheetReport.cpp PeriodReport.cpp \
                  BalloonTip.cpp Synchronize.cpp

INCLUDEPATH	+= $(QPEDIR)/include
DEPENDPATH	+= $(QPEDIR)/include
LIBS            += -lqpe

TRANSLATIONS =    i18n/fr/timesleuthqpe.ts i18n/de/timesleuthqpe.ts

INTERFACES	= MainWidgetBase.ui ChooseInitialModeBase.ui \
                  TaskEditBase.ui PurgeTasksBase.ui ReportParams1Base.ui \
                  OperatingModeBase.ui ActivityListBase.ui \
                  ActivityEditBase.ui CategoryEditBase.ui \
                  CategoryListBase.ui SynchronizeBase.ui 

TARGET		= timesleuthqpe
