/*
 * $Id: ActivityCategory.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "ActivityCategory.h"

ActivityCategory::ActivityCategory() : QObject(), id(0), name(QString()), 
    deleted(false)
{
}

ActivityCategory::ActivityCategory(int i_id, QString i_name, bool i_deleted) : 
                                   id(i_id), name(i_name), deleted(i_deleted) 
{
}

ActivityCategory::~ActivityCategory() 
{
}

int ActivityCategory::operator<(ActivityCategory& c)
{
    return (QString::compare(name.lower(), c.name.lower()) < 0);
}

int ActivityCategory::operator==(ActivityCategory& c)
{
    return (QString::compare(name.lower(), c.name.lower()) == 0);
}

