/*
 * $Id: FileSelectDialog.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef FILESELECTDIALOG_H
#define FILESELECTDIALOG_H

#include "ModalWidget.h"

class FileSelector;
class DocLnk;

class FileSelectDialog : public ModalWidget
{
    Q_OBJECT

public:
    FileSelectDialog(QWidget* parent = 0, const char* name = 0); 
    ~FileSelectDialog();

    QString filename;

private:
    FileSelector* fs;

private slots:
    void fileSelected(const DocLnk& docLnk);
};

#endif // FILESELECTDIALOG_H

