/*
 * $Id: ModalWidget.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef MODALWIDGET_H
#define MODALWIDGET_H

#include <qwidget.h>

class QKeyEvent;

class ModalWidget : public QWidget
{
    Q_OBJECT
public:
    ModalWidget(QWidget* parent = 0, const char* name = 0, 
        WFlags fl = 0);
    ~ModalWidget();

protected slots:
    virtual void hide();
protected:
    virtual void keyPressEvent(QKeyEvent* e);
};

#endif // MODALWIDGET_H

