/*
 * $Id: PeriodReport.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef PERIODREPORT_H
#define PERIODREPORT_H

#include "Report.h"

#include <qdatetime.h>

class QWidget;

class PeriodReport : public Report
{
    Q_OBJECT
public:
    PeriodReport(QWidget*, TimeSleuthDocument*);
    ~PeriodReport();
    
    virtual bool setParametersFromUI();
    virtual void setParametersFromString(QString params);
    virtual QString getParameters();

protected:
    QDate fromDate;
    QDate toDate;
    bool includeZeroTimeActivities;
    bool decimalHours;
};

#endif // PERIODREPORT_H

