/*
 * $Id: PeriodSummaryReport.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef PERIODSUMMARYREPORT_H
#define PERIODSUMMARYREPORT_H

#include "PeriodReport.h"

#include <qdatetime.h>

class QWidget;

class PeriodSummaryReport : public PeriodReport
{
    Q_OBJECT
public:
    PeriodSummaryReport(QWidget*, TimeSleuthDocument*);
    ~PeriodSummaryReport();
    
    virtual QString getMenuName();
    virtual QString getReportText();
    virtual QString getReportFileName();
};

#endif
