/*
 * $Id: main.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "TimeSleuthMainWindow.h"

#include <qpe/qpeapplication.h>

int main( int argc, char ** argv )
{
    QPEApplication a( argc, argv );
    TimeSleuthMainWindow mw;
    QObject::connect(&a, SIGNAL(flush()), &mw, SLOT(flush()));
    QObject::connect(&a, SIGNAL(reload()), &mw, SLOT(reload()));
    mw.setCaption(TimeSleuthMainWindow::tr("TimeSleuth"));
    a.showMainDocumentWidget(&mw);
    return a.exec();
}

